HomePhabricator

build: Updating dependencies

Description

build: Updating dependencies

composer:

  • mediawiki/mediawiki-codesniffer: 18.0.0 → 19.1.0

npm:

Additional changes:

  • Replaced "jakub-onderka" packages with "php-parallel-lint".
  • Committed package-lock.json (T179229) too.
  • And updating CoC link to use Special:MyLanguage (T202047).
  • Consolidated .phpcs.xml encoding to "UTF-8" (T200956).
  • Dropped .php5 and .inc files from .phpcs.xml (T200956).
  • Also sorted "composer fix" command to run phpcbf last.

Change-Id: I986f06fe3f20a9bb262862aa0b20cb6accf435a1

Details

Provenance
LibUp-botAuthored on Jan 3 2021, 8:12 AM
Parents
rEUCAc96f86f057fc: build: Updating mediawiki/mediawiki-codesniffer to 18.0.0
Branches
Unknown
Tags
Unknown
References
refs/changes/25/653725/1
ChangeId
I986f06fe3f20a9bb262862aa0b20cb6accf435a1

Event Timeline

libraryupgrader <tools.libraryupgrader@tools.wmflabs.org> committed rEUCA8fc221714e3b: build: Updating dependencies (authored by libraryupgrader <tools.libraryupgrader@tools.wmflabs.org>).Jan 3 2021, 8:12 AM